package main

import "fmt"

func main() {
	// section: default
	fmt.Printf("in order: %s %s %s %s\n", "one", "two", "three", "four")
	// section: default

	// section: explicit
	fmt.Printf("explicit: %[4]s %[3]s %[2]s %[1]s\n", "one", "two", "three", "four")
	// section: explicit

	// section: repeat
	fmt.Printf("repeated: %[1]s %[1]s %[2]s %[2]s\n", "one", "two")
	// section: repeat
}
